## gpsim-0.32.1-2.src.tar.gz

=== doc/gpsim.html.LyXconv/Makefile ===
all: gpsim.html

gpsim.html: ../gpsim.lyx
	./elyxer_p3.py ../gpsim.lyx gpsim.html


clean:
	rm -f gpsim.html

install:

distdir-am:

distdir:

distclean: clean

=== regression/debug/Makefile ===
include ../make.regression


SCRIPT = 18f452.lkr

PROJECT = tmr3_16bit
OBJECTS =  $(PROJECT).o 
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc

all : debug.cod d4550.cod d2550.cod d2455.cod

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

tmr3_18f4550.cod : tmr3_18f4550.o
	gplink --map -s 18f4550_g.lkr -o tmr3_18f4550.cod tmr3_18f4550.o

sim: sim_16bit sim_18f4550

debug.o: debug.asm

d4550.cod: d4550.o
	gplink --map -o d4550.cod d4550.o

d2550.cod: d2550.o
	gplink --map -o d2550.cod d2550.o

d2455.cod: d2455.o
	gplink --map -o d2455.cod d2455.o


debug.cod: debug.o
	gplink --map -o debug.cod debug.o

sim_16bit: tmr3_16bit.cod 
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_18f4550: tmr3_18f4550.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

=== regression/instructions_14bit/Makefile ===
include ../make.regression


all : instructions_14bit.cod branching.cod

%.cod: %.o
	gplink --map -s 16f628.lkr -o $@ $^

=== regression/microchip_usart/Makefile ===

p16_tprp.cod: p16_tprp.o
	gplink --map -s 16f877.lkr -o $@  $<

p16_tprp.o: p16_tprp.asm
	gpasm -c $<

=== regression/missing/Makefile ===

#EXTENDED_INSTRUCTIONS=1

include ../make.regression


SCRIPT = 18f2455.lkr

PROJECT = instructions
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc

all : miss.cod

miss.cod: miss.o 12f508_g.lkr 
	gplink --map  -s 12f508_g.lkr -o miss.cod miss.o

miss.o:	miss.asm miss.h

miss.h:
	cp sub.h miss.h
sim:

=== regression/p12ce518/Makefile ===
include ../make.regression


SCRIPT = 12ce519.lkr

PROJECT = p12ce518
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc

all : $(OUTPUT)

$(OUTPUT) $(COD) : $(OBJECTS) $(SCRIPT)
	gplink --map -s $(SCRIPT) -o $(OUTPUT) $(OBJECTS)

sim: $(COD)
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$(STC)

=== regression/usart_test/Makefile ===
# USART module regression test
#
#

include ../make.regression


SCRIPT = 16f877.lkr

PROJECT = usart_test
OBJECTS =  $(PROJECT).o
OUTPUT = $(PROJECT).hex
COD = $(PROJECT).cod
STC = $(PROJECT).stc

all : usart_pir1v1.cod usart_pir1v2.cod eusart.cod eusart_2455.cod usart_16f88.cod 


sim: sim_pir1v1 sim_pir1v2 sim_eusart sim_eusart_2455 sim_usart_16f88
 
sim_pir1v1: usart_pir1v1.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_pir1v2: usart_pir1v2.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_eusart: eusart.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_eusart_2455: eusart_2455.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

sim_16f88: usart_16f88.cod
	$(GPSIM) -i -I $(STARTUP_STC) -D STC=$<

usart_pir1v1.cod : usart_pir1v1.o
	gplink --map -q -o $@  $<

usart_pir1v2.cod : usart_pir1v2.o
	gplink --map -q -o $@  $<

eusart.cod : eusart.o
	gplink --map -q -o $@  $<

eusart_2455.cod : eusart_2455.o
	gplink --map -q -o $@  $<

usart_16f88.cod : usart_16f88.o
	gplink --map -q -o $@  $<

=== examples/projects/digital_stim/Makefile ===
# Module example
#
#

# system programs
RM              = /bin/rm -f
ARC             = tar -cvf
GZIP            = gzip
ZIP		= zip

# gpasm programs
ASM             = gpasm
DISASM          = gpdasm
CODVIEWER       = gpvc -d 

# simulator
GPSIM		= gpsim

# Programmer
DEVICE		= 16F84
SERIAL_PORT	= /dev/ttyS1
PROG		= picp $(SERIAL_PORT) $(DEVICE) -wp

# project data
PROJECT         = digital_stim
VERSION         = 1
SOURCES		= digital_stim.asm digital_stim.stc
HEADER	        = /usr/local/share/gpasm/header

DIST_FILES = $(SOURCES) \
	digital_stim.hex digital_stim.asm digital_stim.stc	\
	ChangeLog	\
	Makefile	\
	README		


# derived variables
PROJ_VER	= $(PROJECT)-$(VERSION)
ARCHIVE         = $(PROJ_VER).tar
ZIP_PROJ_VER	= $(PROJECT)$(VERSION)
ZIPARCHIVE	= $(ZIP_PROJ_VER)
LATEST_HEX      = $(PROJECT)$(VERSION).hex

all:	$(PROJECT).cod

sim:	$(PROJECT).cod
	$(GPSIM) -c $(PROJECT).stc

$(PROJECT).cod: $(SOURCES)
	$(ASM) -I $(HEADER) $(PROJECT).asm

#$(PROJECT).hex: $(PROJECT).asm
#	$(ASM) -I $(HEADER) $(PROJECT).asm

$(ARCHIVE): $(DIST_FILES)
	mkdir $(PROJ_VER)
	cp $(DIST_FILES) $(PROJ_VER)/.
	$(ARC) $(ARCHIVE) $(PROJ_VER)
	rm -rf $(PROJ_VER)

#zip: $(DIST_FILES)
zip: $(PROJECT).cod
	mkdir $(ZIP_PROJ_VER)
	cp $(DIST_FILES) $(ZIP_PROJ_VER)/.
	cp $(PROJECT).hex $(ZIP_PROJ_VER)/$(LATEST_HEX)
	cp $(PROJECT).hex $(LATEST_HEX)
	$(ZIP) -r $(ZIP_PROJ_VER) $(ZIP_PROJ_VER)
	rm -rf $(ZIP_PROJ_VER)

archive: $(ARCHIVE)
	$(GZIP) $(ARCHIVE)


prog:	$(PROJECT).cod
	$(PROG) $(PROJECT).hex

clean:
	$(RM) *.lst *.cod $(PROJECT)*.gz *~

=== PKGBUILD ===
# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
# Contributor: Sergej Pupykin <pupykin.s+arch@gmail.com>
# Contributor: mickael9 <mickael9 at gmail dot com>

pkgname=gpsim
pkgver=0.32.1
pkgrel=2
pkgdesc='Full-featured software simulator for Microchip PIC microcontrollers'
url='http://gpsim.sourceforge.net/'
arch=('x86_64')
license=('GPL')
depends=('glib2' 'popt')
makedepends=('gputils')
source=(https://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz)
sha256sums=('c704d923ae771fabb7f63775a564dfefd7018a79c914671c4477854420b32e69')
sha512sums=('9b6d24f8f183eb421506a3c08883915f3580999b9ee7742c4af2d61e7d84643d125e3b4e1c3412bcb4a312011d7b6fef44c12d22fcc475f66a1f083e394e5623')

build() {
  cd ${pkgname}-${pkgver}
  ./configure --prefix=/usr --disable-gui
  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
  make
}

package() {
  cd ${pkgname}-${pkgver}
  make DESTDIR="${pkgdir}" install
}

# vim: ts=2 sw=2 et:
